CUNY Academic Commons - Bug #4560

access denied to http://cdev.gc.cuny.edu/
2015-09-04 11:12 AM - erin glass

Status: Resolved Start date: 2015-09-04
Priority name: Normal Due date:

Assignee: Chris Stein % Done: 0%
Category name: cdev.gc.cuny.edu Estimated time: 0.00 hour
Target version: Not tracked

Description

Hi Boone. After giving the suggested login (username 'cdev' and password 'community’) I'm taken to the "Red Hat Enterprise Linux
Test Page" (screenshot attached). When | then navigate to the beta version (http:/cdev.gc.cuny.edu/papers/a-paper-by-ray/) I'm
denied access (screenshot attached). Thanks for your help!

History

#1 - 2015-09-04 12:12 PM - Boone Gorges

Thanks, Erin. Can | ask you to clear your browser cache - or try a different browser - and try again?

If you're still having the problem, please take screenshots that include the page URL, or let me know what the exact URLs are that correspond to
each screenshot.

#2 - 2015-09-06 01:31 PM - Stephen Real
Boone,

I am having the exact same symptoms as Erin is having.

#3 - 2015-09-06 01:37 PM - Matt Gold
- File Screen Shot 2015-09-06 at 1.37.24 PM.png added

me three. screenshot attached

#4 - 2015-09-06 05:01 PM - Boone Gorges

Access should be restored. There was a bug, which I'll detail later. Let's leave this ticket open until | have a few moments to write it up.

#5 - 2015-09-09 03:52 PM - Boone Gorges

- Status changed from New to Resolved

The problem came from https:/github.com/cuny-academic-commons/cac/commit/68d2a6ec, which introduced a bit of syntax not compatible with
cdev/commons version of PHP. Dan, I'm copying you as an FYI.

Fixed in https:/github.com/cuny-academic-commons/cac/commit/6a4d460f3ef6747aa0f2df7840a08e9c688cc8ab

#6 - 2015-09-15 01:09 PM - Chris Stein

Updating this after mentioning it on todays dev call. | have the same issue that Erin posted where | get the Red Hat page but only in certain
circumstances. | looked into a bit further and don't know why it's happening but here are the facts:

e works in Firefox
e works in Incognito mode in Chrome
e doesn't work in normal Chrome mode Version 45.0.2454.85 (64-bit)

I went in and removed cookies and local storage for cdev.gc.cuny.edu and did a hard refresh and restarted the browser but still had the issue. It may
be something related to one of my extensions as well | might try disabling those later and see if that changes anything.

#7 - 2015-09-15 01:11 PM - Chris Stein
- Status changed from Resolved to Testing Required

- Assignee changed from Boone Gorges to Chris Stein

Changing this to testing required just to help remind me to see if | can figure out what about my Chrome setup is the issue (if it's coming from the
client side).
#8 - 2015-09-21 11:27 AM - Boone Gorges

- Target version set to Not tracked

Chris, have you had a chance to follow up here?
#9 - 2015-09-27 05:49 PM - Stephen Real
Boone,

| have an update which is to confirm that when | use Safari, with the credentials cdev/community to login to cdev.gc.cuny.edu | land on a Red Hat test
page. However, when | use the same credentials in Firefox, | successfully land on the home page for CDEV.

#10 - 2015-09-28 11:35 AM - Boone Gorges

Thanks, Stephen. It's likely that the issue you described in #4677 is the same as the one that Chris has reported here, but let's track them separately
in case they're different. I'll update that other ticket once I've heard back from IT.

#11 - 2016-01-26 04:49 PM - Boone Gorges
- Category name set to cdev.gc.cuny.edu

- Status changed from Testing Required to Resolved

Haven't heard anything about this in a while, so I'm guessing it was a bad configuration being cached by browsers. If it comes up again, please
reopen.
